<script setup>
import { computed } from 'vue';
import { floor } from '../itemsBase';
/**
 * Detailed Stat display for a single Character.
 */

const props = defineProps('char');

const level = computed(() => { return props.char.level.value });

/*const defense = computed(() => { return props.char.defense });
const dodge = computed(() => { return Math.floor(props.char.dodge.valueOf()) });
const luck = computed(() => { return Math.floor(props.char.luck.valueOf()) });
const damage = computed(() => { return props.char.damage.valueOf() });
const tohit = computed(() => { return props.char.tohit.value; });*/
const exp = computed(() => { return floor(props.char.exp.value); });
const next = computed(() => { return floor(props.char.next); });

</script>

<template>
<div class="charpane">

		<div>
		<table>
		<tr><td>name</td><th class="text-entry"><input class="fld-name" type="text" v-model="char.name"></th></tr>
		<tr><td>level</td><th> {{ level }}</th></tr>
		<tr><td>exp</td><th> {{ exp }} / {{ next }} </th></tr>
		</table>
		</div>

</div>
</template>